From c5e9eb2792bd276e493aed582627e93b4c681374 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Tue, 7 Dec 2021 15:29:34 +0100
Subject: [PATCH 2/4] Make tests pass

---
 contrib/test_decoding/expected/sequence.out | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

diff --git a/contrib/test_decoding/expected/sequence.out b/contrib/test_decoding/expected/sequence.out
index ca55bcebc3..d94e185fb9 100644
--- a/contrib/test_decoding/expected/sequence.out
+++ b/contrib/test_decoding/expected/sequence.out
@@ -260,13 +260,15 @@ ROLLBACK TO SAVEPOINT a;
 DROP TABLE test_table;
 COMMIT;
 SELECT data FROM pg_logical_slot_get_changes('regression_slot', NULL, NULL, 'include-xids', '0', 'skip-empty-xacts', '0', 'skip-sequences', '0');
-                             data                             
---------------------------------------------------------------
+                                              data                                               
+-------------------------------------------------------------------------------------------------
  BEGIN
+ sequence public.test_table_a_seq: transactional:1 created:1 last_value:1 log_cnt:0 is_called:0
+ sequence public.test_table_a_seq: transactional:1 created:0 last_value:33 log_cnt:0 is_called:1
  table public.test_table: INSERT: a[integer]:1 b[integer]:100
  table public.test_table: INSERT: a[integer]:2 b[integer]:200
  COMMIT
-(4 rows)
+(6 rows)
 
 -- savepoint test on table with serial column
 BEGIN;
@@ -307,11 +309,15 @@ SELECT * FROM test_sequence;
 DROP SEQUENCE test_sequence;
 COMMIT;
 SELECT data FROM pg_logical_slot_get_changes('regression_slot', NULL, NULL, 'include-xids', '0', 'skip-empty-xacts', '0', 'skip-sequences', '0');
-  data  
---------
+                                              data                                              
+------------------------------------------------------------------------------------------------
  BEGIN
+ sequence public.test_sequence: transactional:1 created:1 last_value:1 log_cnt:0 is_called:0
+ sequence public.test_sequence: transactional:1 created:0 last_value:33 log_cnt:0 is_called:1
+ sequence public.test_sequence: transactional:1 created:0 last_value:3000 log_cnt:0 is_called:1
+ sequence public.test_sequence: transactional:1 created:0 last_value:3033 log_cnt:0 is_called:1
  COMMIT
-(2 rows)
+(6 rows)
 
 SELECT pg_drop_replication_slot('regression_slot');
  pg_drop_replication_slot 
-- 
2.34.1

